<?php
error_reporting(0); 
include("../../config/ht.php");
session_start();
if(!isset($_SESSION['adminname'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/houtai/'</script>";exit;}
$adminname=$_SESSION['adminname'];
$type="where name='$adminname'";
$adminpd=queryall(admin,$type);
if(!$adminpd){echo "<script>alert('请重新登录!')</script><script>top.location.href='/houtai/'</script>";exit;}
if($adminpd[qx]=='超级管理员' or $adminpd[qx]=='财务管理员'){}else{echo "<script>alert('无权限')</script><script>top.location.href='/houtai/'</script>";exit;}
$btime=ubo($_GET["btime"]);
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>已结算列表</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="stylesheet" href="/layui/css/layui.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/font-awesome.min.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/admin.css" media="all">
<style type="text/css">
#tooltip{position:absolute;border:1px solid #ccc;background:#333;padding:2px;display:none;color:#fff;}
</style>
</head>
<body style="padding:10px;">
<div class="tplay-body-div">
<fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;"><legend>已结算列表</legend></fieldset>
<div class="layui-tab layui-tab-brief">
<div class="layui-tab-content">
<div class="layui-form-item">
<div class="layui-inline">
<label class="layui-form-label">日期</label>
<div class="layui-input-block">
<input type="text"  name="btime"  id="btime"  autocomplete="off" class="layui-input" value="<?php if($btime==null){ echo $day;}else{ echo $btime;}?>">
</div>
</div>
<button class="layui-btn"  onclick="so()"><i class="layui-icon" style="">&#xe615;</i> 查询</button>
</div>
</div> 
<table class="layui-table" >
<thead>
<tr>
<th style="text-align:center;width:34px;" >勾选</th>
<th style="text-align:center;">代理用户名</th>
<th style="text-align:center;">代理ID</th>
<th style="text-align:center;">结算金额</th>
<th style="text-align:center;">结算时间</th>
<th style="text-align:center;">结算状态</th>
<th style="text-align:center;">收款信息</th>
</tr> 
</thead>
<tbody>
<?php 
$page_size=10; 
$sql = "WHERE 1=1";
$sql .=" and zt= '已支付' ";
if($btime){
$sql .=" and shijian like '%$btime%' ";
}
$sqlq = mysql_query("SELECT * FROM pay  ".$sql." ");
$bs = mysql_num_rows($sqlq);
$b="select sum(money) from pay   ".$sql." ";
if ($res=mysql_query($b)){
list($money)=mysql_fetch_row($res);
mysql_free_result($res);
} 
$resultyttrt = mysql_query("select id from pay   ".$sql."  ");
$count = mysql_num_rows($resultyttrt); 
if($count == 0){echo '<tr> <td  colspan=18  style="text-align:center;"><center>没有记录</center></td></tr>';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
//判断当前页码 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$query = mysql_query("select * from  pay   ".$sql." order by id desc   limit $offset, $page_size");
while ($a=mysql_fetch_array($query)) { 
$type="where userid='$a[userid]'";
$xg=queryall(user,$type);
$username=$xg[name];
?> 	
<tr>
<td style="text-align:center;" ><label class="demo--label2"><input class="demo--radio" type="checkbox"   name="ids[]" id="ck-<?php echo $a['id']?>" value="<?php echo $a['id']?>"><span class="demo--checkbox demo--radioInput"></span>   </label></td>
<td style="text-align:center;"><?php echo $username?></td>
<td style="text-align:center;"><?php echo $a[userid]?></td>
<td style="text-align:center;">￥ <?php if($a[money]==null){?>0<?php }else{?><?php  $xs3=round($a[money],2);echo $xs3;?><?php }?> 元 </td>
<td style="text-align:center;"><?php echo  date("Y-m-d",strtotime($a[shijian]))?></td>
<td style="text-align:center;"><?php echo  $a[zt]?></td>
<td style="text-align:center;">
<?php 
$type="where userid='$a[userid]'";
$xg=queryall(user,$type);
if($xg[skm]){
echo '<img style="width: 60px; height: 60px; cursor: -webkit-zoom-in;" src="'.$xg[skm].'" width="60" height="60"  onClick="'."ewm('".$xg[skm]."')".'" >';
}else{
$name=$xg[txname];
$kahao=$xg[tixian];
echo "收款人：".$name."-".$kahao;
}
?>
</td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
if($userid){
$keyt.="<a href=\""."/htyjspageso/1/$userid/\">首页</a>"; //首页 
$keyt.="<a href=\""."/htyjspageso/".($page-1)."/$userid/\">上一页 </a>"; //上一页 
}else{
$keyt.="<a href=\""."/htyjspage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/htyjspage/".($page-1)."/\">上一页 </a>"; //上一页 
}
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
if($userid){
$keyt.="<a href=\""."/htyjspageso/".$i."/$userid/\">".$i."</a>"; 
}else{
$keyt.="<a href=\""."/htyjspage/".$i."/\">".$i."</a>"; 
}
} 
} 
if($page!=$pages){ 
if($userid){
$keyt.="<a href=\""."/htyjspageso/".($page+1)."/$userid/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/htyjspageso/{$pages}/$userid/\">尾页</a> "; //最后一页 
}else{
$keyt.="<a href=\""."/htyjspage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/htyjspage/{$pages}/\">尾页</a> "; //最后一页 
}
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b>$page</b> 页/共 <b>$pages</b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?> 
<?php if($count =="0"){?>
<?php }else{?>
<tr>
<td  colspan="18" style="text-align:left;padding-left:20px;" ><a class="btn btn-success btn-xs chk-all" href="#" role="button">全选</a>  <a class="btn btn-danger btn-xs unchk-all" href="#" role="button">全不选</a>
<a class="btn  btn-success  btn-xs btn-jiage paysc"  role="button">批量删除</a>
</td>
</tr>
<tr>
<td  colspan="18" style="text-align:center;font-size: 16px;color: #fff;background-color: #B03060;border-color: #B03060" >已结算总计:(已结算笔数 <?php if($bs==null){?>0<?php }else{?><?php echo $bs?><?php }?> 笔 已结算金额 ￥ <?php if($money==null){?>0<?php }else{?><?php  $xs3=round($money,2);echo $xs3;?><?php }?> 元 )</td>
</tr>
<?php }?>
</tbody>
</table>
<div style="padding:0 20px;">
<div class="pagination">
<?php if($count =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
<script src="/layui/layui.js"></script>
<script src="/2019newui/js/jquery.min.js"></script>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
laydate.render({
elem: '#btime'
});
});
</script>
<?php if($count =="0"){?>
<?php }else{?>
<script>
$(document).on('click', '.chk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', 'checked');
});
$(document).on('click', '.unchk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', false);
});

$(document).on('click', '.paysc', function(event) {
event.preventDefault();
var _ids = '';
$.each($('input[name="ids[]"]:checked'), function(index, val) {
_ids += $(val).val()+',';
});
if (_ids == '') {
layer.msg('请选择ID');
return false;
}
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: _ids,aqm:aqm, lx: 'paysc'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('批量删除成功');
location.reload();
}else{
layer.closeAll('loading');
layer.msg(data.msg);
location.reload();
} 
},
error:function(){
}
});
},
});
});
function ewm(pic) {
layer.alert('<div class="text-center pd20" style="padding:0 0px;">\
<p><img src="'+pic+'"  style="max-width:300px;"></p>\
</div>\
', {
skin: 'layui-layer-molv' //样式类名
,closeBtn: 0,btn:['关闭'],
title:"二维码",
}); 
$('.layui-layer').css('top','20%');  
}
</script>
<?php }?>
<script>
function so() {
var btime = $('#btime').val();
if (btime== '') {
layer.msg('查询条件不能为空');
return false;
}
window.location.href='/htyjspageso/1/'+btime+'/'; 
}
</script>
</body>
</html>